summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author LukenShiro2011-12-14 20:10:54 +0100
committer Niels Horn2011-12-18 03:07:49 +0100
commitecdcb5f99da4e2cce6641f8c976e462347e23754 (patch)
treeaa1e8dc1e7c04b780598789911d53b5f107c8997
parentb556034249d775fd6b7f5dfc7a02deaa06c369fe (diff)
downloadslackbuilds-ecdcb5f99da4e2cce6641f8c976e462347e23754.tar.gz
perl/perl-net-dns: Updated for version 0.67.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--perl/perl-net-dns/perl-net-dns.SlackBuild38
-rw-r--r--perl/perl-net-dns/perl-net-dns.info8
2 files changed, 19 insertions, 27 deletions
diff --git a/perl/perl-net-dns/perl-net-dns.SlackBuild b/perl/perl-net-dns/perl-net-dns.SlackBuild
index 8ecc7e504b..81d8b18f57 100644
--- a/perl/perl-net-dns/perl-net-dns.SlackBuild
+++ b/perl/perl-net-dns/perl-net-dns.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-net-dns
-# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2011 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-net-dns
-VERSION=${VERSION:-0.66}
+VERSION=${VERSION:-0.67}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,7 +42,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SRC_PRGNAM=Net-DNS
+SRCNAM=Net-DNS
DOCFILES="TODO Changes README"
# LIBDIRSUFFIX not used
@@ -53,15 +53,15 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
-
+
set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
-cd $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -69,33 +69,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL INSTALLDIRS=vendor
-
+echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
+make test
make install DESTDIR=$PKG
-#Move man-pages to appropriate place
-mv $PKG/usr/share/man $PKG/usr/
-
# Remove perllocal.pod and other special files that don't need to be installed
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/perl/perl-net-dns/perl-net-dns.info b/perl/perl-net-dns/perl-net-dns.info
index 88fa699153..18da567f29 100644
--- a/perl/perl-net-dns/perl-net-dns.info
+++ b/perl/perl-net-dns/perl-net-dns.info
@@ -1,10 +1,10 @@
PRGNAM="perl-net-dns"
-VERSION="0.66"
+VERSION="0.67"
HOMEPAGE="http://search.cpan.org/dist/Net-DNS/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/O/OL/OLAF/Net-DNS-0.66.tar.gz"
-MD5SUM="1635d876324e3c2f6e277d5778bfe94c"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/O/OL/OLAF/Net-DNS-0.67.tar.gz"
+MD5SUM="8caf473b6f74cae38ee18c162041a5db"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="LukenShiro"
EMAIL="lukenshiro@ngi.it"
-APPROVED="dsomero"
+APPROVED="rworkman"